message to update core modules before updating from v3.4.8 to 3.9 Topic is solved

Need help upgrading your Joomla! website or converting to Joomla! 3.x?

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10.
Post Reply
wood1e1
Joomla! Apprentice
Joomla! Apprentice
Posts: 18
Joined: Tue Jun 01, 2021 8:22 am

message to update core modules before updating from v3.4.8 to 3.9

Post by wood1e1 » Sat Jun 19, 2021 5:24 pm

whilst working through an update from v3.4 to 3.9 I noticed a couple of messages asking to make sure Joomla core was upto date.

NOt sure what this means as I would have thought the 'core' is in the update file?

I check to make sure all modules we upto date, and they weren't see here: https://www.screencast.com/t/86V8PqbZ0V

Not sure why the Akeeba is showing as I didn't try and update that or mod_jbcookies - do I just disable both? here: https://www.screencast.com/t/J9aQKc0U

I did try and update both JCE Editor and JUNews neither would update and the links in the URL destails do not work. And if I try and update I get error saying failed and URL that is 404 see here: https://www.screencast.com/t/TS6ra0nAKMa

So I am thinking I need to update these two extensions first? And if so where do I get them from?

And disable the two (Akeeba/Mod_jbCookies)

Then try update to 3.6 first?

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 27906
Joined: Mon Oct 27, 2008 9:27 pm
Location: Romerike, Norway

Re: message to update core modules before updating from v3.4.8 to 3.9

Post by Per Yngve Berg » Sat Jun 19, 2021 7:31 pm

Akeeba Backup is listed twice. One of the update servers are probably dead.

JCE can be fixed by installing latest version.

Don't know anything about the module.

wood1e1
Joomla! Apprentice
Joomla! Apprentice
Posts: 18
Joined: Tue Jun 01, 2021 8:22 am

Re: message to update core modules before updating from v3.4.8 to 3.9

Post by wood1e1 » Sun Jun 20, 2021 1:15 pm

Hi

Thanks, so disabling Akeeba will solve that issue? As I don't need it.

How do I update JCE? As the link to the update file is broken?

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 27906
Joined: Mon Oct 27, 2008 9:27 pm
Location: Romerike, Norway

Re: message to update core modules before updating from v3.4.8 to 3.9

Post by Per Yngve Berg » Sun Jun 20, 2021 1:35 pm

Download JCE from the JED.

User avatar
AMurray
Joomla! Champion
Joomla! Champion
Posts: 6890
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: message to update core modules before updating from v3.4.8 to 3.9

Post by AMurray » Sun Jun 20, 2021 10:39 pm

You should be able to update it through extension manager. (even for Pro version that will work, as long as the subscription is current).
Regards - A Murray

User avatar
sozzled
Joomla! Master
Joomla! Master
Posts: 10418
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia

Re: message to update core modules before updating from v3.4.8 to 3.9

Post by sozzled » Sun Jun 20, 2021 10:54 pm

wood1e1 wrote:
Sat Jun 19, 2021 5:24 pm
Not sure what [update core modules before updating the J! version] means as I would have thought the 'core' is in the update file?
Let me try to explain.

There's the "core". This means the basic, standard installation of J! There are things that are not part of the "core". These are optional extensions that people can install separately.

"Core modules" are extensions that are included with the standard installation of J!. There are a dozen or more extensions that are "core modules". You can read about these things in the Joomla documentation. Normally, however, when you update "the core" of J!, i.e. you update from one version of J! to another, any extensions that were written by the J! development team are updated at the same time. For example, updating from J! x.y to J! x.z would also update the templates, plugins, modules, components and languages. Templates, plugins, modules, components and languages are collectively referred to as extensions.

Does that help you understand better?

JCE Editor is not part of "the core". JCE Editor is an optional, third-party extension that people can use if they want.

When you update from J! x.y to J! x.z it's important to make sure that any optional extensions are also updated. Sometimes you can update those extensions before you update from J! x.y to J! x.z, sometimes you have to update those extensions after you update from J! x.y to J! x.z and sometimes you have to uninstall some of these extensions because they won't work with the later version(s) of J!. Sometimes, some extensions won't work at all if you also update from one version of PHP to another version of PHP. There's no universal answer to all of these kinds of situations.

Lastly, updating from J! 3.4.8 to J! 3.9.27 is tricky. It has to be done in stages. You need to start with the server running PHP 5.6 before you begin the update. After you've successfully updated your website to J! 3.9.27 then you can consider using PHP 7.x ... but you may find some extensions you've installed are incompatible with PHP 7.x and you will need to either (a) uninstall them or (b) find an updated version or replacement for what you've installed.

Everything I've written above assumes that your J! 3.4.8 installation works correctly now ... before you try to do anything else. ;)
“If you think I’m wrong then say, ‘I think you’re wrong.’ If you say ‘You’re wrong!’, how do you know?” :)
Testing J! 3.10: https://sintranet.enduring.com.au

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 40116
Joined: Sat Apr 05, 2008 9:58 pm

Re: message to update core modules before updating from v3.4.8 to 3.9

Post by Webdongle » Sun Jun 20, 2021 11:41 pm

jce core is the free version of jce editor
Akeeba core is the free version of Akeeba
Neither are part of Joomla core files.

Installing the latest jce will be ok
but
Installing the latest Akeeba backup will remove your backup files unless you have them save to a folder other than the default.

And you will need Akeeba some time
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".

User avatar
AMurray
Joomla! Champion
Joomla! Champion
Posts: 6890
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: message to update core modules before updating from v3.4.8 to 3.9

Post by AMurray » Mon Jun 21, 2021 11:18 pm

With 3.9 updates that I do as soon after they are released, I don't recall ever seeing the exact vertabim warning message : "update core modules before updating Joomla".

I do see warning/advice messages concerning backing up your system, and updating third-party extensions before updating Joomla, but nothing referring to "core modules". I suspect this is probably the difference between 3.4.8 and 3.9.x - where the advice and warning messages' wording has simply changed over time.
Regards - A Murray

wood1e1
Joomla! Apprentice
Joomla! Apprentice
Posts: 18
Joined: Tue Jun 01, 2021 8:22 am

Re: message to update core modules before updating from v3.4.8 to 3.9

Post by wood1e1 » Tue Jun 22, 2021 7:11 am

Hi

Thanks for the updates ,I have decided to bin the updates, and migrate to a different framework, whatever process I follow nothing works, followed all advice on 4 different attempts and still get the same or similar errors.

once again many thanks.


Post Reply

Return to “Migrating and Upgrading to Joomla! 3.x”